PopTray Help System

PopTray home
PopTray
FREEWARE Mail Notifier
Welcome
Welcome to the PopTray Help System.
  • Description
  • User Interface
  • Options
  • Rules
  • Version History
  • Contact Info


Description

Description
PopTray started as a little POP3 mail checker I wrote, because I couldn't find a freeware program that had all the features I wanted. Since then, new features have been added by request, and everything has been refined a lot. After 8 months of public beta testing, PopTray 1.5 has now become a full-featured e-mail notifier, but keeping it's ease of use.
    Features:
  • Unlimited number of Accounts
  • Show number of messages directly on the TrayIcon
  • Different notification sound of each account
  • Different check interval for each account
  • Quickly preview a message
  • Delete messages from the server without downloading them
  • Rules that identify a message according to your criteria, then does one of these actions:
    • Play different notification sound
    • Delete from the server
    • Ignore (don't notify)
    • Run any EXE file
  • Wildcard support in Rule criteria
  • System wide hot-keys for most functions
  • Rotating TrayIcon to show number of messages in each account
  • Sort messages in any order
  • Optional password protection to view messages
  • Different message icons to quickly identify new messages
  • Reply using your default e-mail client
  • Complete Install / Uninstall
All this for FREE !


User Interface

User Interface
  • Mail List
  • Accounts Info
  • Tray Icon
  • Preview


Mail List

Mail List
This is the main window listing all the messages currently in your mailboxes.

At the top is a tab for each of the accounts you defined. If there are any messages in a specific account, the icon of the tab will change from [image] to [image] and the number of messages will be shown next to the account name in brackets.

Below the account tabs are the following buttons:
Preview the currently selected message. This is not a full mail client, but just a quick view of the message (to determine if it's spam?).
Delete the currently selected message (it was spam?). Depeding on the Confirm Deletion option, you will first be ask if you are sure.
Send a new mail message. This will open your default e-mail client, ready to send a message. If you drag and drop a file into PopTray, it will create a new message in your e-mail client, with the dragged files as attachements.
Reply to the selected message. This will open your default e-mail client with the current message's sender in the to: field and the subject filled in. It will not fill in the body of the message.
Check for new mail on the current account.

Next is the list of messages in the currently selected account. You can click on the headers to sort the list by the column you click on. To remove the sorting, right-click and select No-Sort. You can also right-click on the columns to show/hide specific columns.

In front of each message is a little icon indicating the message priority:
High Priority
Normal Priority
Low Priority
Message with a MIME Attachment
Ignored Message. This is a message that have been marked as ignore by a rule.
Message you've viewed already (if the "Viewed Messages Icon" option is on)
New Message since the last check (if the "Viewed Messages Icon" option is on)

Below the the list of messages is a status bar that indicates when PopTray last checked your mailbox. Any network errors will also be displayed here. On the right hand side the status bar will indicate the number of messages in the current account.

At the very bottom is three buttons:
Run the E-Mail client you defined in the options screen. The icon on the button will be set to the icon of your e-mail client.
Check all your enabled accounts.
Minimize Pop-Tray to the tray.


Accounts

Accounts
Clicking on the accounts tab on the right-hand side allows you to define all your e-mail accounts.

First up is the account management buttons:
Add a new account. First press this button, a new account tab will appear, then fill in all the required fields.
Delete the currently selected account from PopTray. You must have at least 1 account defined.
Save the account information. If you don't press this button the new account info, or account changes won't be saved to the PopTray.ini file.

For each account you define you have to fill in the following fields:
Enabled | Checkbox that selects whether PopTray will check this account when doing an periodic check or when you click the Check All button.
Name | The name you want to give this account. This is the name that will appear on the account tabs.
POP3 Server | The address or ip of your POP3 server (eg. mail.isp.com). This can only be a POP3 server. PopTray does not have support for web based mail server (eg. Hotmail).
Login | The login name you use on your POP3 server (The part before the @ in your e-mail address).
Password | Your POP3 password.
Sound | The sound to play when you receive new mail in this account. You can leave this field blank and the default sound set in the options screen will be used.
Color | The color to be used in the Tray to indicate you have mail in this account. Use a different color for each account.
Timer Interval | If you set the Timer Interval per Account option, you must set the interval between mail check for each account here. Set time interval in minutes using the up-down buttons or typing in a number.


Tray

Tray
PopTray will display an indicator in your system tray at all times.

This tray icon is useful to see at a glance how many new messages are waiting for you.
There are no new messages for you.
There is 1 new message for you. The red circle indicates it is in the account that you marked as Red.
Currently busy connecting to a POP3 server and checking for new mail.
There was an error connecting to one of your accounts. The status bar of that account will show the error message.

Clicking on the Tray Icon can be customized on the Options tab, to perform any of the predefined actions.


Preview

Preview
The Preview window gives you a quick view of a message on the server.

When you click the preview button (or double-click a message) PopTray will show the Preview window and then start retrieving the message fro your POP3 server. If your connection is slow, or the message is huge, this can take quite a while. During the download, the Preview window will show a progress meter in the top right-hand corner:

You can abort the download process by clicking the "Stop" button.

Once the entire message has been downloaded you will see different message parts.
From | From whom the message was sent.
To | To whom the message was sent (usually it's you).
Subject | The subject line of the message.
Headers | The raw message headers.
Body | What you see in the box depends on the "Decode Preview Message" option. If the options is switched off, the raw body text will be shown. When you switch on the option, Preview will decode the Mime parts and show the first plain text part in the body box. All other Mime parts will be show as attachments. e.g..

You can save your message to disk too. Clicking the Save button will ask for you to specify the filename and file type. When "Decode Preview Message" option is on, you can only save the current text body to a TXT file. With the raw message you can also save it to a MSG/EML file, which can be opened by most e-mail clients.


Options

Options
Here you can set all the default options for PopTray. Once you change any option the save button becomes available. You have to save the options for the change to stay in effect after you quit PopTray. All options are saved in PopTray.ini in your PopTray program directory.

At the top is the Check Interval. You can either set on global timer interval for all mail accounts, or a different interval for each account. Checking the Interval per Account buttons removes the global setting, and you must set the interval in the accounts screen. No checking will happen if you disable AutoCheck from the Tray Menu.

Defaults:
E-Mail Program | The default E-mail Client you want to run when your press the "Run E-mail Client" button on the Mail List screen. Double-Clicking can be customized to run this program. Next to the Program Box is a "Test" button. Use this button to make sure you can run the program successfully.
Default Sound | The WAV file that will be played when you receive new mail on any account where you haven't specified a sound in the account details.
Check Hot-Key | Define a system-wide HotKey to check for new mail. Just press the key combination you want in the edit box. Although most key combinations are possible, be careful not to override default keys (eg. Ctrl-C) or it will be captured by PopTray and not sent the active program. A key combination like Ctrl-Alt-P is recommended.

General Options:
Check for New Mail on Startup | Immediately check for mail when PopTray starts.
Start Minimized | PopTray will startup in minimized state. Thus the window will be hidden and only the tray icon will be visible.
Animated Tray Icon | Animate the Tray Icon when you receive new mail. This will produce a flashing indicator instead of the normal static one.
Reset Tray Icon when Viewing | Reset the Tray Icon message count when you view the PopTray mail list window. When new mail arrives only the new count since last view will be shown.
Rotate Icon for each Account | Animated Tray Icon rotating to show the number of messages in each account. The account can be identified by the color of the circle.
Show Window on Notification | Show the PopTray window when new mail arrives.

Advanced Options:

Viewed Messages Icon | Display a different icon for messages you've already viewed in PopTray, and a "new" icon for message that arrived since the last check.
X Button Minimizes | The X close button in the top right-hand corner will minimize PopTray instead of closing it. To close use "Quit" in the Tray Menu.
Decode Preview Message | When previewing a message with MIME parts PopTray will decode the MIME message, show the first part in the preview and the rest as attachments. When unselected, preview will show the RAW message.
Mix Colors | Try to mix the colors in the tray when e-mail arrives in multiple accounts. Windows only allows 16 colors in the tray, so mixing will not always give the correct color.
Check if On-Line | First check if you are on-line before checking for e-mail. Used by dial-up users who don't want the dial-up dialog to pop-up when you are not connected. Makes checking a little bit slower.
Deletion Confirmation | Ask for confirmation before deleting any e-mails. This only works for the "Delete" button. Deleting messages using rules will not ask for confirmation.
Log Rules | Write all rules actions to a log file. Filename: RULES.LOG in the same directory as PopTray.
Double Click Delay on Click | When you Click on the TrayIcon, a delay will occur, to see if you are about to double-click, before executing the Click action. When this option is Off, a single-click will immediately execute, and if a double-click occurs, it will execute again. eg. If Left-Click is assigned to show the messages, and you double-click the tray, it will show the messages immediately, then hide them again before executing the double-click action.
Minimize to Tray | Minimize PopTray to the System Tray instead of the Taskbar.
Always on Top | Show the PopTray window always on top of other windows.
Don't Show Error Dialogs | If a connection error occurs, PopTray won't stop with an error dialog, but will instead just pop-up a balloon with the error for 15 seconds then disappear. The error will also be shown in the account status bar.
Password Protect | PopTray will ask for a password before show the mail window. If you select this option a box will appear where you should type the password you want. Only use this option together with the "Minimize to Tray" option.

Mouse Button Actions:

Show Messages | Show the main PopTray window, with the Mail tab selected.
Pop-up Menu | Show the Tray Pop-Up Menu at the current mouse cursor.
Check for Mail | Check all Accounts for New Mail.
Run E-mail Client | Run the E-mail Client specified in "E-mail Program" on the Defaults tab.
Check and Show | Check all Accounts for New Mail, and if any messages are found, it will show the main PopTray window.
Show Info | Show how many messages in each of your accounts. On newer versions of Windows (Win2000,WinXP,WinME) the info will show in a balloon hint for 30 seconds, otherwise a normal dialog is displayed.
Check and Info | Check all Accounts for New Mail, and if any message are found show the Info message.
Toggle Message Window | Show the Message Window if it's hidden. If it is visible it will minimize it.


Rules

Rules
Rules are used to perform automated tasks on new e-mails arriving depending on the text contained in the message.

There are two buttons for rule management:
Add a new rule. First click this button and fill in the details
Delete the currently selected rule.

Next is a list of all the rules you have defined. Click on a rule to edit it.

When you add or edit a rule the following details can be set:
Name | Any name you want to give to this rule. This is just for your own identification
Enabled | Checkbox to Enable/Disable the rule. Only enabled rules will be run.
Criteria Area This is the area in the E-Mail that the rule will scan for you search criteria.
Header: | Anywhere in the header. Use this with caution: selecting text like "date" will delete all messages, since they will contain the word "date".
From: | The name/e-mail address of the person who sent the message.
Subject: | The subject line of the message.
To: | The name/e-mail address where the message was sent to.
Compare Method
Contains: | The text is contained anywhere in the Criteria Area.
Equals: | The Criteria Area is exactly the same as your search text (case-insensitive)
WildCard: | You have to specify wildcards in your search text. Two wildcard characters are supported: * Match any number of characters ? Match any single character eg. sp*m will run if the criteria text is "spam" or "spaaam", sp?m will run only for "spam" or "sp@m", not "spaam". Without any wildcards, the text is compared the same as "Equals". Use *text* do compare like "Contains". Using "a*" will run for all where the text start with an "a".
Empty: | The Criteria Area contains no text.
Text | Text to search for in the Criteria Area. The search is always case-insensitive.
Actions What actions should PopTray do when a mail satifying the above criteria arrives? You can select any number of actions.
Play different wav: | Will play a different sound than the account or default sound.
Delete from Server: | Delete the message from the server without showing it to you or notifying you of it's arrival. Use With Caution.
Ignore: | Don't notify you when the message arrives. No notification sound will be played, and it won't be indicated on the tray icon.
Run EXE file: | Run the selected program.

After filling in the details above, remember to click the "Save Rules" button. This will save all the rules to PopTray.ini


Version History

Version History
  • Released Versions
  • Beta Versions


History

Version History
 (+) New feature
 (*) Changed feature
 (-) Bug fixed

2000-08-25	0.90	(+) First Beta release.
2000-08-25	0.91	(-) Fixed Notify with no-mail bug.
2000-08-25	0.91.1	(-) Delete with no message selected fixed.
            (*) Close button renamed to "To Tray".
            (+) Tray blue when messages from multiple accounts.
            (-) From column Read-Only.
            (+) Added hints in Tray.
2000-08-25	0.92	(+) Check for Mail on Startup.
            (+) Minimize when Starting Mail Program.
            (+) Multiple Delete added.
            (+) Simple password encryption added.
2000-08-28	0.92.1	(*) Use a little bit less memory.
            (+) ProgressBar while checking mail.
2000-08-30	0.92.2	(+) Hint show which account the new mail is in.
2000-08-30	0.92.3	(+) Hint changed while checking for mail.
            (+) Program Icon on PopUp menu.
            (*) TrayIcon reset when e-mail program run.
            (-) Fixed bug with WAV not always played.
2000-09-21	0.93	(*) Switched to Indy POP3 component.
            (*) Show name only in From field.
            (-) Fixed bug with Windows not shutting down.
            (*) Uses less memory.
2000-09-21	0.93.1	(*) Better error-handling (no msgs while minimized).
2000-09-22	0.94	(+) Delete an Account
            (-) TrayIcon reset when e-mail run (animated too).
2000-09-26	0.94.1	(+) Show icon for Priority.
2000-09-27	0.94.2	(-) Removed debug messages on shutdown.
2000-10-09	0.95	(+) Preview Progress meter.
            (+) Sort messages when clicking on column headers.
            (*) Disable account fields until "Add" pressed.
            (-) Show only current message headers in preview.
2000-10-10	0.95.1	(*) Sort descending when clicking column again.
2000-10-11	0.95.2	(-) Preview and Delete work correctly after sort.
2000-10-13	0.95.3	(-) Options Save and Cancel buttons align to bottom.
2000-10-18	1.0	(+) First (non-beta) Release!
2000-10-20	1.0.1	(+) Beta of Wav/Delete Rules implemented.
2000-10-23	1.0.2	(+) Enable/Disable of accounts.
2000-12-14	1.1	(*) Changed name from PopCheck to PopTray.
            (+) Released into the Wild.
2001-01-08	1.1.1	(-) Fixed bug with Interval Option not Saved.
2001-01-11	1.1.2	(+) Option to switch off decoding of Preview Message.
2001-01-19	1.2	(*) Moved Account Info to Options screen.
            (+) Optional Logging of rules (Tab separated file).
            (+) Added custom color TrayIcon per Account.
            (+) Mix Colors if multiple accounts.
            (*) Check if Account Info is saved when going to another.
            (*) Use rectangle in TrayIcon when more than 9 e-mails.
            (+) Show Last Checked Time in Tray Hint.
            (*) Minimum window size.
2001-01-22	1.2.1	(+) Added E-Mail address to About Box.
            (-) Preview Disconnect from Server after Msg retrieved.
            (-) Preview window OK button resize bug fixed.
            (*) Save Account button only enabled if Info changed.
            (*) HourGlass when checking for Mail and Previewing.
            (*) Preview & Delete only enabled when Msg selected.
            (+) RightClick menu for Preview & Delete.
2001-01-24	1.2.2	(*) Increased number of accounts to 20 (on request).
            (-) Possible HourGlass cursor when connection fails.
            (+) Added Ability to give path for INI files on commandline.
2001-02-26	1.2.3	(*) Different way of hiding/showing form.
            (+) Added "Always on Top" option.
2001-03-02	1.2.4	(*) Better Password Encryption.
            (*) Store Password using printable ASCII only.
            (*) Multi-Line Hint on Win2000 only.
            (*) Save Sort Column.
            (*) Indicate Sort Column.
2001-03-13	1.2.5	(+) New Rule to Ignore message (don't notify).
            (*) Ignored messages will not be included in TrayIcon count.
            (+) Reply to message using mailto:
2001-03-16	1.2.6	(+) Added StatusBar for each account.
            (+) Show Connect-Error Icon.
            (*) Large Font compatible.
            (+) Show Form on Notification (option).
            (-) Fixed HandPoint cursor on About links.
2001-04-10	1.2.7	(*) Shortcut Keys on Options.
            (+) Never Check button.
            (*) Reduced memory usage (used extra mem since 1.2.3).
            (*) Filters on Open WAV file.
            (+) "X" Close Button minimize (option).
2001-04-23	1.2.8	(-) Shutdown bug fixed.
            (*) ESC key disconnects or minimizes form.
            (*) More stable saving of form position.
            (*) Better date sorting.
2001-04-24	1.2.9	(-) Saving form position when "X Minimizes" option on.
            (-) Fixed Large Font support (buttons disappeared).


Beta Versions

Beta History
(+) New feature
(*) Changed feature
(-) Bug fixed
1.5 (beta 1)	2001-07-23
    (+) Timer Interval per account (option).
    (+) Get Default E-Mail client when none specified.
    (+) Multiple Preview windows.
    (+) Save Preview Message (TXT or MSG).
    (+) Stop Button during Preview download.
    (+) Option for Delete Confirmation.
    (+) Indicate New/Changed features and bugs in ReadMe.
    (*) Moved Accounts to new tab.
    (*) New Color Select box.
    (*) Progress on Preview screen.
    (*) Hot Keys for Preview & Delete (Space & Del).
    (*) Default Start-Up Position in Lower-Right corner.
    (*) Changed text on "Run E-Mail Client" button.
    (*) Show same account in Accounts as in Mail.
    (*) Give Error when no E-Mail Client specified.
    (-) Allow Command-Line params in E-Mail Program.

1.5 (beta 2)	2001-08-10
    (+) Installation Options: Desktop Icon, Startup.
    (*) Switched to Inno Setup 2.0
    (*) Accounts buttons on ToolBar.
    (*) Allow window to be resized smaller.
    (*) Auto Scrollbars for Option screens.
    (*) Keep users regional DateFormat.
    (-) Access Violation when no accounts configured.
    (-) Always-on-Top startup position not saved.
    (-) Always-on-Top Preview was behind main window.
    (-) Preview message that doesn't exist.

1.5 (beta 3)	2001-08-14
    (+) New look web site.
    (+) Mailing List for new version.
    (+) List attachment filenames in Preview hint.
    (-) Access Violation with empty password.
    (-) Delete Files I created in TempDir.
    (-) Preview with no body (only attachments).

1.5 (beta 4)	2001-08-17
    (+) "New Mail Message" button.
    (+) Option to Reset Tray when viewing list.
    (+) Help on Options (using tool tips).

1.5 (beta 5)	2001-08-21
    (+) Check for Update on website.
    (-) Right-Click menu didn't work in NT 4.
    (-) Some passwords decrypted incorrectly.
    (-) About in tray menu went to Rules tab.
    (-) Options in tray menu went to Accounts tab.
    (-) Access Violation with "Reset TrayIcon" option.

1.5 (beta 6)	2001-08-22
    (+) "Check if On-Line" option (untested).
    (*) F5 short-cut key to refresh current account.
    (-) Some beta 5's called themselves beta 6.

1.5 (beta 7)	2001-08-24
    (+) Detailed HTML Help.
    (+) F1 for Help Contents.
    (+) Shift-F1 for Context-Sensitive Help.
    (-) Don't Reset TrayIcon when viewing options.
    (-) Fixed Tab-Order on Accounts page.

1.5 (beta 8)	2001-08-27
    (+) New domain http://poptray.crause.co.za
    (+) New contact email address renier@crause.co.za
    (*) Update about for new web address.
    (*) Update about for new email address.
    (*) Update help for new web address.
    (*) Update help for new email address.
    (-) Show Form on Notification shows mail list.

1.5 (beta 9)	2001-09-05
    (+) Show from e-mail address in ToolTip.
    (+) Forum on my website http://forum.crause.co.za
    (*) Click on attachments (preview) to get a list.
    (-) Blank password decryption.
    (-) Stop on Preview broke MailCheck.

1.5 (beta 10)	2001-09-21
    (+) Drag and Drop files to create attachments.
    (+) Minimize to Tray option.
    (+) Save Preview window size.
    (+) Save Preview window maximized state.
    (*) Setup has a new picture.
    (-) Setup sets short-cut Start-In directory.
    (-) Show Help file from PopTray directory.
    (-) Negative count when "Reset Tray" option.

1.5 (beta 11)	2001-09-27
    (+) System Hot-Key to check for messages.
    (+) Allow only one instance running.
    (+) Added "New Message" to TrayMenu.
    (+) Option to Check for Mail on Single Click.
    (*) Removed the 20 accounts limit.
    (*) Changed to Jedi-TaskBarIcon component.
    (*) Removed RXLib (smaller exe, less memory).
    (*) Changed MAPI code not to look in Registry.
    (*) Show "Already Connected" error in StatusBar.
    (*) Minimize when clicking "New" button.
    (*) Don't change "To-Tray" button to "Quit" button.
    (-) Check for Update with beta > 9.

1.5 (beta 12)	2001-09-28
    (+) Rule to Execute a file.
    (-) Shutdown (bug in TrayIcon component).

1.5 (beta 13)	2001-10-26
    (+) Middle-Click checks for mail.
    (+) TrayIcon now survives explorer.exe kill.
    (+) "Don't Show Error Dialogs" option added.
    (+) Balloon hint on connect error (Win2000+).
    (*) True-Color shaded glyphs for buttons.
    (*) Double-Click no longer show-window/hide-window.
    (*) Options split into Tabs.
    (*) Switched to Indy 9 (beta).
    (*) Changed to CoolTrayIcon component.
    (-) "Check if On-line" code fixed.
    (-) Fixed bugs that came with Indy 9.

1.5 (beta 14)	2001-11-06
    (+) Mouse Buttons now customizable.
    (+) "Check and Show" Mouse action added.
    (+) Option for "Double-Click delay on Click".
    (+) Ctrl-A selects entire Preview message.
    (*) Faster saving of Rules under NT/2000/XP.
    (*) Updated Help with new Options/Features.
    (*) Removed "Single-Click Check" option.
    (-) Show default option tab on start-up.
    (-) Balloon Error only if not showing error dialog.
    (-) Run E-Mail client twice.
    (-) Rules try to delete the same message twice.

1.5 (beta 15)	2001-11-22
    (+) Password protection.
    (+) Show MailBox size.
    (+) Info Mouse Action.
    (*) WindowsXP 48x48 icon.
    (-) Prevent saving window position outside screen.
    (-) Prevent deleting while busy deleting.
    (-) Balloon Hint errors sometimes wrong.
    (-) Invalid date errors.

1.5 (beta 16)	2001-12-20
    (+) Right-Click add rule.
    (+) Show different icon for MIME attachemnts.
    (+) Compare methods in rules (Contains,Equals,Empty,Wildcard).
    (+) Wildcards allowed in the rules (*,?).
    (+) More search areas rules (CC,FromName,FromAddress).
    (+) "Toggle Message Window" mouse action added.
    (+) Save Message as Outlook Express (*.EML)
    (+) Enable/Disable AutoCheck from Tray Menu.
    (+) Different Icon if you viewed a message (option).
    (*) Rules Save button Enabled/Disabled as needed.
    (-) Reset Deleting Flag when Connection Error.
    (-) Notify without Tray Icon when Reset Tray option on.

1.5 (beta 17)	2001-12-28
    (+)	Animate TrayIcon to display messages in each Account.
    (+) Show New Messages.
    (+) Ctrl-A select all messages.
    (*) Better detection of new messages.
    (*) Better detection of viewed messages (per account).
    (-) Show Info dialog to the front.

1.5 (beta 18)	2001-12-31
    (+) New "To" column.
    (+) Show/Hide columns (right-click the column header).
    (*) Don't allow to check while busy checking.
    (*) Better Large Fonts support.
    (-) Animation fixed for only one account (broken in beta 17).

1.5 (beta 19)	2002-01-02
    (+) Hot-Keys for mouse actions.
    (*) Changed default save format to *.EML
    (*) Changed text: Animated for Accounts to Rotating Icon.
    (-) Date Sorting fixed (broken in beta 18).
    (-) SystemHotKey with Stay On Top fixed.
    (-) Animated, Rotating TrayIcon with only one account.
    (-) Delete Rule still showed the deleted message.
    (-) Delete Rule gave error "Still Busy Checking".

1.5 (beta 20)	2002-01-03
    (*) Test Sound buttons on Accounts and Rules.
    (*) Faster loading of rules.
    (-) Delete Confirmation showed incorrect Subject.
    (-) "To" address without space between name and address.
    (-) Vertical Tab Captions on Win95.
    (-) Invalid Dates: show original text.
    (-) E-Mail Client Icon when in Quotes.


Contact Info

Contact Info
Name: | Renier Crause
Country: | South Africa
E-Mail: | renier@crause.co.za
Home Page: | http://www.crause.co.za
Forum: | http://forum.crause.co.za

Web Site
The PopTray web site is http://poptray.crause.co.za

You will always find the latest version of PopTray here. New beta versions are also available from time to time. The full source code (written in Delphi 6) is also available for download.

If you would like to be notified op new updates, you can join the PopTray mailing list on my site. I will send you an e-mail every time a new version or beta version of PopTray is released.

On the About tab of PopTray you will find a link that will check if you have the newest available version of PopTray. Clicking on the link will open your default browser and automatically go to my site to compare your version with the newest released version.